package com.dxhy.manage.service;

import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.common.utils.PageUtils;
import com.dxhy.manage.entity.SysIpEntity;

/**
 * @author jiaohongyang
 */
public interface SysIpService extends IService<SysIpEntity> {
    /**
     * 分页
     *
     * @param params
     *            入参
     * @return 返回
     */
    PageUtils queryPage(Map<String, Object> params);

    /**
     * 保存
     *
     * @param ip
     *            ip
     */
    void saveIp(SysIpEntity ip);

    /**
     * 修改
     *
     * @param ip
     *            ip
     */
    void update(SysIpEntity ip);

    /**
     * 删除
     *
     * @param id
     *            id
     */
    void deleteBatch(Long id);

    /**
     * 查询
     *
     * @param id
     *            id
     * @return 返回
     */
    SysIpEntity queryById(Long id);

    /**
     * 上传
     *
     * @param dataList
     *            入参
     * @return 返回
     */
    int uploadIp(String dataList);
}
